# NearFarScalar

#### new Cesium.NearFarScalar(near, nearValue, far, farValue)
Core/NearFarScalar.js 23

Represents a scalar value's lower and upper bound at a near distance and far distance in eye space.

Name | Type | Default | Description
--- | --- | --- | ---
`near` | Number | `0.0` | optional The lower bound of the camera range.
`nearValue` | Number | `0.0` | optional The value at the lower bound of the camera range.
`far` | Number | `1.0` | optional The upper bound of the camera range.
`farValue` | Number | `0.0` | optional The value at the upper bound of the camera range.

##### See:

- Packable

### Members

#### staticCesium.NearFarScalar.packedLength : Number
Core/NearFarScalar.js 77

The number of elements used to pack the object into an array.

#### far : Number
Core/NearFarScalar.js 41

The upper bound of the camera range.

Default Value: `1.0`

#### farValue : Number
Core/NearFarScalar.js 47

The value at the upper bound of the camera range.

Default Value: `0.0`

#### near : Number
Core/NearFarScalar.js 29

The lower bound of the camera range.

Default Value: `0.0`

#### nearValue : Number
Core/NearFarScalar.js 35

The value at the lower bound of the camera range.

Default Value: `0.0`

### Methods

#### staticCesium.NearFarScalar.clone(nearFarScalar, result) → NearFarScalar
Core/NearFarScalar.js 57

Duplicates a NearFarScalar instance.

Name | Type | Description
--- | --- | ---
`nearFarScalar` | NearFarScalar | The NearFarScalar to duplicate.
`result` | NearFarScalar | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new NearFarScalar instance if one was not provided. (Returns undefined if nearFarScalar is undefined)

#### staticCesium.NearFarScalar.equals(left, right) → Boolean
Core/NearFarScalar.js 143

Compares the provided NearFarScalar and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`left` | NearFarScalar | optional The first NearFarScalar.
`right` | NearFarScalar | optional The second NearFarScalar.

##### Returns:

`true` if left and right are equal; otherwise `false`.

#### staticCesium.NearFarScalar.pack(value, array, startingIndex) → Array.<Number>
Core/NearFarScalar.js 88

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | NearFarScalar |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### staticCesium.NearFarScalar.unpack(array, startingIndex, result) → NearFarScalar
Core/NearFarScalar.js 116

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | NearFarScalar |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new NearFarScalar instance if one was not provided.

#### clone(result) → NearFarScalar
Core/NearFarScalar.js 159

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | NearFarScalar | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new NearFarScalar instance if one was not provided.

#### equals(right) → Boolean
Core/NearFarScalar.js 170

Compares this instance to the provided NearFarScalar and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`right` | NearFarScalar | optional The right hand side NearFarScalar.

##### Returns:

`true` if left and right are equal; otherwise `false`.